<template>
  <div class="badge">
    <div v-if="moon">
      <NuxtLink :to="'/stars/' + moon.id">
        <b-button variant="primary">
          {{ moon.englishName }}
          <b-badge variant="light"> > </b-badge>
        </b-button>
      </NuxtLink>
    </div>
  </div>
</template>

<script>
import StarsAPI from "./../../services/index.js";

export default {
  name: "Badge",
  data() {
    return {
      moon: {}
    };
  },
  props: {
    rel: String
  },
  async fetch() {
    this.moon = await StarsAPI.findByUrl(this.rel);
  }
};
</script>
